# Uses of Class
ij.process.ImageStatistics

Packages that use ImageStatistics
Package
Description
ij
ij.gui
ij.plugin
ij.plugin.filter
ij.process
ij.util

## Uses of ImageStatistics in ij

Methods in ij that return ImageStatistics
Modifier and Type
Method
Description
`ImageStatistics`
ImagePlus.`getAllStatistics()`
This method returns complete calibrated statistics for this image or ROI (with "Limit to threshold"), but it is up to 70 times slower than getStatistics().
`ImageStatistics`
ImagePlus.`getRawStatistics()`
`ImageStatistics`
ImagePlus.`getStatistics()`
Get calibrated statistics for this image or ROI, including histogram, area, mean, min and max, standard deviation and mode.
`ImageStatistics`
ImagePlus.`getStatistics(int mOptions)`
Returns an ImageStatistics object generated using the specified measurement options.
`ImageStatistics`
ImagePlus.`getStatistics(int mOptions, int nBins)`
Returns an ImageStatistics object generated using the specified measurement options and histogram bin count.
`ImageStatistics`
ImagePlus.`getStatistics(int mOptions, int nBins, double histMin, double histMax)`
Returns an ImageStatistics object generated using the specified measurement options, histogram bin count and histogram range.

## Uses of ImageStatistics in ij.gui

Fields in ij.gui declared as ImageStatistics
Modifier and Type
Field
Description
`protected ImageStatistics`
HistogramWindow.`stats`
Methods in ij.gui that return ImageStatistics
Modifier and Type
Method
Description
`ImageStatistics`
Roi.`getStatistics()`
Methods in ij.gui with parameters of type ImageStatistics
Modifier and Type
Method
Description
`void`
HistogramPlot.`draw(ImagePlus imp, ImageStatistics stats)`
Draws the histogram using the specified title and ImageStatistics.
`void`
HistogramWindow.`showHistogram(ImagePlus srcImp, ImageStatistics stats)`
Draws the histogram using the specified title and ImageStatistics.
Constructors in ij.gui with parameters of type ImageStatistics
Modifier
Constructor
Description
``
`HistogramWindow(String title, ImagePlus imp, ImageStatistics stats)`
Displays a histogram using the specified title and ImageStatistics.

## Uses of ImageStatistics in ij.plugin

Methods in ij.plugin with parameters of type ImageStatistics
Modifier and Type
Method
Description
`void`
ContrastEnhancer.`stretchHistogram(ImageProcessor ip, double saturated, ImageStatistics stats)`

## Uses of ImageStatistics in ij.plugin.filter

Methods in ij.plugin.filter with parameters of type ImageStatistics
Modifier and Type
Method
Description
`protected void`
ParticleAnalyzer.`drawParticle(ImageProcessor drawIP, Roi roi, ImageStatistics stats, ImageProcessor mask)`
Draws a selected particle in a separate image.
`void`
Analyzer.`saveResults(ImageStatistics stats, Roi roi)`
Saves the measurements specified in the "Set Measurements" dialog, or by calling setMeasurements(), in the default results table.
`protected void`
ParticleAnalyzer.`saveResults(ImageStatistics stats, Roi roi)`
Saves statistics for one particle in a results table.

## Uses of ImageStatistics in ij.process

Subclasses of ImageStatistics in ij.process
Modifier and Type
Class
Description
`class`
`ByteStatistics`
8-bit image statistics, including histogram.
`class`
`ColorStatistics`
RGB image statistics, including histogram.
`class`
`FloatStatistics`
32-bit (float) image statistics, including histogram.
`class`
`ShortStatistics`
16-bit image statistics, including histogram.
`class`
`StackStatistics`
Statistics, including the histogram, of a stack.
Methods in ij.process that return ImageStatistics
Modifier and Type
Method
Description
`ImageStatistics`
ImageProcessor.`getStatistics()`
Calculates and returns complete uncalibrated (raw) statistics for this image or ROI but it is up to 70 times slower than getStats().
`static ImageStatistics`
ImageStatistics.`getStatistics(ImageProcessor ip)`
Calculates and returns uncalibrated (raw) statistics for the specified image, including histogram, area, mean, min and max, standard deviation and mode.
`static ImageStatistics`
ImageStatistics.`getStatistics(ImageProcessor ip, int mOptions, Calibration cal)`
Calculates and returns statistics for the specified image using the specified measurent options and calibration.
`ImageStatistics`
ImageProcessor.`getStats()`
Calculates and returns uncalibrated statistics for this image or ROI, including histogram, area, mean, min and max, standard deviation, and mode.
Methods in ij.process with parameters of type ImageStatistics
Modifier and Type
Method
Description
`void`
EllipseFitter.`fit(ImageProcessor ip, ImageStatistics stats)`
Fits an ellipse to the current ROI.

## Uses of ImageStatistics in ij.util

Methods in ij.util that return ImageStatistics
Modifier and Type
Method
Description
`static ImageStatistics`
Tools.`getStatistics(double[] a)`